namespace Tinkerforge
{
    public static class ERotaryPoti
    {
        public static (char Option, short Min, short Max) GetPositionCallbackThreshold(this BrickletRotaryPoti rotaryPoti)
        {
            rotaryPoti.GetPositionCallbackThreshold(out char option, out short min, out short max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAnalogValueCallbackThreshold(
            this BrickletRotaryPoti rotaryPoti)
        {
            rotaryPoti.GetAnalogValueCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
